Bug 104078 - 32 bit tcsh doesn't work on 64 bit OS
32 bit tcsh doesn't work on 64 bit OS
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: tcsh (Show other bugs)
3.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Bill Huang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-09 14:35 EDT by Donald Zoch
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-10 16:30:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reproducing problem + gdb output (2.15 KB, text/plain)
2003-09-09 14:45 EDT, Donald Zoch
no flags Details

  None (edit)
Description Donald Zoch 2003-09-09 14:35:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030624

Description of problem:
If I try to run a 32 bit tcsh binary from a taroon x86 system on
a 64 bit x86_64 system, it core dumps.  The 64 bit /bin/tcsh works
fine.  Our environment however requires that 32 bit binaries work
on the AMD x86_64 architecture as they should.

Version-Release number of selected component (if applicable):
tcsh-6.12-4

How reproducible:
Always

Steps to Reproduce:
1.as root, execute 32 bit tcsh on a 64 bit taroon beta 2 system
2. Execute the following 3 commands:
   limit coredumpsize unlimited
   source /etc/csh.cshrc
    ls

3.  After the ls command, it dumps core.
    

Actual Results:  Segmentation fault (core dumped)


Expected Results:  The shell should not have core dumped

Additional info:

[root@tyr014 root]# ./tcsh
Signal 112 (core dumped)
dircolors: `/root/.dir_colors.xterm': No such file or directory
grep: /root/.dir_colors.xterm: No such file or directory
[root@tyr014 ~]# limit coredumpsize unlimited
[root@tyr014 ~]# source /etc/csh.cshrc
Signal 48 (core dumped)
Signal 68 (core dumped)
[root@tyr014 ~]$ ls
anaconda-ks.cfg  gdb          install.log.syslog  post-install.log  tcsh
core.8722        install.log  pam.d_sshd          strace
Segmentation fault (core dumped)
Comment 1 Donald Zoch 2003-09-09 14:45:18 EDT
Created attachment 94334 [details]
reproducing problem + gdb output
Comment 2 Matt Wilson 2003-09-10 16:30:56 EDT
[root@katzj-amd64 root]# ./tcsh --version
tcsh 6.12.00 (Astron) 2002-07-23 (i386-intel-linux) options
8b,nls,dl,al,kan,rh,color,dspm,filec
[root@katzj-amd64 root]# ./tcsh
[root@katzj-amd64 ~]# source /etc/csh.cshrc
[root@katzj-amd64 ~]$
[root@katzj-amd64 root]# rpm -q glibc
glibc-2.3.2-77
glibc-2.3.2-77

Note You need to log in before you can comment on or make changes to this bug.